# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.insecureHashlibNew

Module implementing a check for use of insecure md4, md5, or sha1 hash functions in hashlib.new().

### Global Attributes

None

### Classes

None

### Functions

checkHashlibNew | Function to check for use of insecure md4, md5, or sha1 hash functions in hashlib.new().
getChecks | Public method to get a dictionary with checks handled by this module.

## checkHashlibNew

checkHashlibNew(reportError, context, config)

Function to check for use of insecure md4, md5, or sha1 hash functions in hashlib.new().

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up